Page MenuHomePhabricator

MobileFrontend and Minerva Selenium tests failing with "Promise timeout"
Closed, ResolvedPublic

Description

The MobileFrontend Selenium tests are failing since Sept. 8. due to a promise timeout.

11:43:12 [09:43:12] [S] [MWBOT] Login successful: Selenium user@https://en.wikipedia.beta.wmflabs.org/w
11:43:18 RunJobs through requests to the main page (run 1).
11:43:20 RunJobs found no more queued jobs.
11:43:49 [09:43:49]  	Saved screenshot: ERROR_chrome_2019-09-13T09-43-49.810Z.png
11:43:49 
11:43:49 	Screenshot: /log/Check-user-page-is-editable.png
11:43:49 
11:43:50 ------------------------------------------------------------------
11:43:50 [chrome #0-1] Session ID: 6e4c22ad34799d44c35bcbe711b19bc9
11:43:50 [chrome #0-1] Spec: /src/tests/selenium/specs/user_page.js
11:43:50 [chrome #0-1] Running: chrome
11:43:50 [chrome #0-1]
11:43:50 [chrome #0-1] User:<username>
11:43:50 [chrome #0-1]   1) Check user page is editable
11:43:50 [chrome #0-1]
11:43:50 [chrome #0-1]
11:43:50 [chrome #0-1] 1 failing (41s)
11:43:50 [chrome #0-1]
11:43:50 [chrome #0-1] 1) User:<username> Check user page is editable:
11:43:50 [chrome #0-1] Promise was rejected with the following reason: timeout
11:43:50 [chrome #0-1] Error: Promise was rejected with the following reason: timeout
11:43:50 [chrome #0-1]     at execute(<Function>, "mobile.init") - index.js:312:3
11:43:50 [chrome #0-1]
11:43:50

This might not be related to T232708, which tracks a failure to login. Because even with a successful login, as in #158, the test still fails with a true/false comparison:

11:43:39 1) User:<username> Check user page is editable:
11:43:39 Input A expected to strictly equal input B:
11:43:39 + expected - actual
11:43:39 
11:43:39 - false
11:43:39 + true

This is evident in the screenshot from that test, which shows the page is locked for editing.

This issue now impacts MinervaNeue as well but more seriously happens inside the repo and blocks any work from getting done there (as Jenkins blocks merges).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2019, 9:06 AM

I noted this issue here -T232708#5488613 - for which i've requested RelEng's help as I'm unable to work out what's happened.

zeljkofilipin triaged this task as Medium priority.Sep 19 2019, 2:31 PM
Jdlrobson renamed this task from MF Selenium tests failing with "Promise timeout" to MF and Minerva Selenium tests failing with "Promise timeout".Sep 19 2019, 5:04 PM
Jdlrobson updated the task description. (Show Details)
zeljkofilipin renamed this task from MF and Minerva Selenium tests failing with "Promise timeout" to MobileFrontend and Minerva Selenium tests failing with "Promise timeout".Sep 20 2019, 1:47 PM
zeljkofilipin closed this task as Resolved.Sep 25 2019, 10:40 AM
zeljkofilipin reassigned this task from zeljkofilipin to hashar.

Resolved by @hashar in T232796.